<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

?>

<style>
    body {
        background: url("./assets/checkout-bg.jpg") no-repeat;
        background-size: contain;
        background-color: #000;
    }

    .s1-container {
        padding: 4%;
        display: block;
        width: auto;
    }

    .s1-container h1 {
        color: #424242;
        font-size: 48px;
    }

    .s1-form-container {
        border: 6px solid #424242;
        padding: 2% 5% 4% 5%;
        background: #171717;
        width: 100%;
        box-sizing: border-box;
    }

    .s1-f-wrapper h2 {
        color: #eda42b;
        text-align: left;
        font-size: 40px;
    }

    form.f1-form,
    form.f2-form,
    .account-panel {
        background: #FFF;
        border: 1px solid grey;
        border-radius: 3px;
        padding: 2% 4% 4% 4%;
    }

    .f-row {
        width: 100%;
        clear: both;
    }

    .f-col-4 {
        width: 29%;
        margin: 2%;
        float: left;
    }

    .f-col-8 {
        width: 62%;
        margin: 2%;
        float: left;
    }

    form.f2-form {
        text-align: center;
    }

    form.f2-form .f-col-4 {
        float: none !important;
        margin-left: 35%;
    }

    .s1-container input, label {
        display: block;
    }

    #main .f-input {
        width: 100%;
        height: 40px;
        border: 2px solid #eda42b;
        border-radius: 4px;
        background-color: #FFF;
    }

    .s1-container label {
        margin-bottom: 8px;
        font-size: 22px;
        color: #424242;
        font-family: "Raleway";
        font-weight: 300;
    }

    .s1-container .checkbox {
        display: inline-block;
        margin-left: 2%;
    }

    .f1-form .footer,
    .f1-form .footer a {
        font-family: "Raleway";
        font-weight: 300;
        font-size: 18px;
        color: #424242;
    }

    .f1-submit,
    .f2-submit {
        display: block;
        background-color: #eda42b;
        color: #FFF;
        padding: 25px 50px;
        font-weight: 600;
        font-size: 32px;
        font-family: "Raleway";
        border: none;
        margin: auto;
        -webkit-box-shadow: 0px 0px 15px -5px rgba(0,0,0,0.75);
        -moz-box-shadow: 0px 0px 15px -5px rgba(0,0,0,0.75);
        box-shadow: 0px 0px 15px -5px rgba(0,0,0,0.75);
        margin-top: 50px;
    }

    .f2-header {
        margin-top: 40px;
        width: 30%;
        display: inline-block;
    }

    .left-hr {
        margin-top: 40px;
        width: 34.4%;
        display: inline-block;
        color: #373737;
        background-color: #373737;
        border-color: #373737;
    }

    .right-hr {
        margin-top: 40px;
        width: 34.4%;
        display: inline-block;
        color: #373737;
        background-color: #373737;
        border-color: #373737;
    }

    .sign-in-header {
        font-weight: 700;
        font-size: 28px;
        font-family: "Raleway";
    }

    .forgot-pass {
        margin-top: 20px;
        font-size: 22px;
        font-family: "Raleway";
        font-weight: 300;
        color: #424242;
        display: block;
    }

    .dtedit {
        background: url(https://cdn.legendsofaria.com/images/uploads/2019/08/edit-icon.png);
        background-size: cover;
        background-repeat: no-repeat;
        width: 75px;
        height: 75px;
        position: absolute;
        right: -25px;
        top: -25px;
    }

    .account-panel {
        position: relative;
    }

    .left-section {
        width: 65%;
        float: left;
    }

    .right-section {
        width: 30%;
        margin-left: 5%;
        float: left;
    }

    .account-panel h3 {
        font-size: 30px;
        margin-bottom: 5px;
        color: #424242;
        font-family: Raleway;
    }

    .account-panel p {
        font-size: 30px;
        margin-bottom: 5px;
        margin-top: 5px;
        font-family: Raleway;
        color: #424242;
    }

    .s1-form-container:after {
        content: "Foo";
        visibility: hidden;
        display: block;
        height: 0px;
        clear: both;
    }

    .right-section h2 {
        margin: 0px;
        padding: 20px 0px;
        text-align: center;
        background-color: #6c6d68;
        margin-bottom: 5px;
    }

    .order-box {
        background: #FFF;
        border: 1px solid grey;
        border-radius: 3px;
        padding: 10% 8% 10% 8%;
        margin-bottom: 50px;
    }

    .alignleft {
        float: left;
        color: #424242;
        font-size: 24px;
        font-family: Raleway;
        font-weight: 700;
        margin: 5px 0px;
    }

    .alignright {
        float: right;
        color: #424242;
        font-size: 24px;
        font-family: Raleway;
        margin: 5px 0px;
    }

    .order-box:after {
        content: "Foo";
        visibility: hidden;
        display: block;
        height: 0px;
        clear: both;
    }

    .summary-row {
        width: 100%;
        clear: both;
    }

    .total-row {
        width: 100%;
        clear: both;
        margin-top: 50px;
    }

    .total-row .alignleft, .total-row .alignright {
        color: #77191d !important;
        font-size: 26px;
    }

    .place-order {
        margin-top: 120px;
    }

    .cart-photo {
        width: 90%;
        height: auto;
        text-align: center;
    }

    .cart-item {
        padding-top: 10% !important;
        padding-bottom: 10% !important;
        text-align: center;
    }

    .order-box.cart-item h2 {
        text-align: center;
        color: #424242;
        background-color: #FFF;
        margin-bottom: 5px;
        padding: 0px !important;
        font-size: 30px;
    }

    .order-box.cart-item h1 {
        text-align: center;
        color: #77191d;
        margin: 0px;
    }

    .cart-item .item-info {
        margin-top: 30px;
    }
    
    .error {
        color: red !important;
    }
</style>

<div class="s1-container">
    <h1>Step 2: Payment</h1>
    <div class="s1-form-container">
        <div class="s1-f-wrapper">
            <h2>Account</h2>
            <div class="left-section">
                <div class="account-panel">
                    <a href="/account" class="dtedit"></a>
                    <h3>Natasha Beiter</h3>
                    <p>Streeeeeet</p>
                    <p>City, State ZIP</p>
                    <p>Email: moinsens2@blablabla.com</p>
                </div>
                <h2>Payment</h2>
                <form class="f1-form" action="?step=payment" name="checkout-form" id="checkout-form" method="POST">
                    <?php if (isset($error) && $error) { ?>
                    <div class="f-row">
                        <p class="error"><?php echo $error; ?></p>
                    </div>
                    <?php } ?>
                    <div class="f-row">
                        <h3>Choose Payment Method:</h3>
                        <img src="https://cdn.legendsofaria.com/images/uploads/2019/08/payment-option.png" />
                    </div>
                    <div class="f-row">
                        <div class="f-col-4">
                            <label for="address-1">Address Line 1</label>
                            <input type="text" class="f-input" name="address"/>
                            <input type="hidden" name="submit_payment" value="1"/>
                        </div>
                        <div class="f-col-4">
                            <label for="address-2">Address Line 2</label>
                            <input type="text" class="f-input" name="address_two"/>
                        </div>
                        <div class="f-col-4">
                            <label for="zip-code">Zip Code</label>
                            <input type="text" class="f-input" name="zip"/>
                        </div>
                        <div class="f-col-4">
                            <label for="state">State</label>
                            <input type="password" class="f-input" name="state"/>
                        </div>
                        <div class="f-col-4">
                            <label for="state">City</label>
                            <input type="password" class="f-input" name="city"/>
                        </div>
                        <div class="f-col-4">
                            <label for="country">Country</label>
                            <input type="password" class="f-input" name="country"/>
                        </div>
                    </div>
                    <div class="f-row">
                        <div class="f-col-4">
                            <label for="address-1">First Name</label>
                            <input type="text" class="f-input" name="first-name"/>
                        </div>
                        <div class="f-col-4">
                            <label for="address-2">Last Name</label>
                            <input type="text" class="f-input" name="last-name"/>
                        </div>
                    </div>
                    <div class="f-row">
                        <div class="f-col-8">
                            <label for="address-1">Card Number</label>
                            <div id="card-number"></div>
                        </div>
                    </div>
                    <div class="f-row">
                        <div class="f-col-4">
                            <label for="address-2">Expiration Date</label>
                            <div id="expiration-date"></div>
                        </div>
                        <div class="f-col-4">
                            <label for="zip-code">CVV</label>
                            <div id="cvv"></div>
                        </div>
                    </div>
                    <div class="f-row footer">
                        <input class="checkbox" type="checkbox" name="agree" /> By checking this box, I agree to the <a href="">Commercial Terms</a> & <a href="">Privacy Policy</a>
                    </div>
                </form>
            </div>
            <div class="right-section">
                <h2>Summary</h2>
                <div class="order-box">
                    <div class="summary-row">
                        <p class="alignleft">Subtotal</p><p class="alignright">$19.99</p>
                    </div>
                    <div class="summary-row">
                        <p class="alignleft">Est. Taxes</p><p class="alignright">$0.00</p>
                    </div>
                    <div class="total-row">
                        <p class="alignleft">TOTAL</p><p class="alignright">$19.99</p>
                    </div>
                    <div class="summary-row place-order">
                        <button type="submit" class="f1-submit">PLACE ORDER</button>
                    </div>
                </div>
                <h2>In Your Cart</h2>
                <div class="order-box cart-item">
                    <img src="https://cdn.legendsofaria.com/images/uploads/2019/08/cart-item.png" class="cart-photo"/>
                    <h2 class="item-info">Legends of Aria</h2>
                    <h2>Digital Copy</h2>
                    <h1>$19.99</h1>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    jQuery(document).ready(function($) {
        braintree.setup("<?php echo $token; ?>", "custom", {
            id: "checkout-form",
            hostedFields: {
                styles: {
                    ":focus": {
                        "color": "blue"
                    },
                    ".valid": {
                        "color": "green"
                    },
                    ".invalid": {
                        "color": "red"
                    }
                },
                number: {
                    selector: "#card-number",
                    placeholder: ""
                },
                cvv: {
                    selector: "#cvv",
                    placeholder: ""
                },
                expirationDate: {
                    selector: "#expiration-date",
                    placeholder: ""
                }
            }
        });
    });
</script>